BeakerDashboard.Serializer (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class BeakerDashboard.Serializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<BeakerDashboard>
  - - com.twosigma.beakerx.jvm.object.BeakerDashboard.Serializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable
  Enclosing class:
    BeakerDashboard

      public static class BeakerDashboard.Serializer
      extends com.fasterxml.jackson.databind.JsonSerializer<BeakerDashboard>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(BeakerDashboard value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(BeakerDashboard value,
                                com.fasterxml.jackson.core.JsonGenerator jgen,
                                com.fasterxml.jackson.databind.SerializerProvider provider)
                         throws java.io.IOException,
                                com.fasterxml.jackson.core.JsonProcessingException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<BeakerDashboard>`
      Throws:
        `java.io.IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`